﻿using System.IO;
using Xamarin.Forms;

namespace GeometricFunc
{
    public static class SampleHelper
    {
        public static readonly string AssetsDataDictionary = Device.OnPlatform("AppData", "AppData", string.Empty);
        public static readonly string SampleDataDictionary = Device.OnPlatform(string.Empty, @"mnt/sdcard/MapSuiteSampleData/GeometricFunc", string.Empty);

        public static string GetDataPath(string fileName)
        {
            string result = string.IsNullOrEmpty(SampleDataDictionary) ? Path.Combine(AssetsDataDictionary, fileName)
               : Path.Combine(SampleDataDictionary, AssetsDataDictionary, fileName);
            return result;
        }
    }
}
